package com.zjrs.ggfw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.ggfw.rlzysc.po.VRsRlzyMsglPO;

import java.util.Map;

@Mapper
public interface VRsRlzyMsglMapper extends BaseMapper<VRsRlzyMsglPO> {
    public Page<Map<String,Object>>  getMsgllist(Page<Map<String, Object>> page,@Param("map") Map<String, Object> params);
    public Page<Map<String,Object>>  getMsgllistForGr(Page<Map<String, Object>> page,@Param("map") Map<String, Object> params);
    public Map getMsglInfo(@Param("map") Map<String, Object> params);
    public Map getMsglInfoForYdd(@Param("map") Map<String, Object> params);
    public Page<Map<String,Object>>  getMsglMsglist(Page<Map<String, Object>> page,@Param("map") Map<String, Object> params);

    Map<Object,String> getMszInfo(@Param("rsyhlsh") String rsyhlsh);

    Map<Object, String> getMsqyInfo(@Param("rsrlzyqyxxlsh") String rsrlzyqyxxlsh);
}

